//Rouslan Dimitrov, Feb 2006
#pragma once

#include "main.h"
#include "renderer.h"


class rWindowing
{
public:
	rWindowing();
	~rWindowing();
	void SetScreenParam(char [], int, int, int, bool);
	static void SetHI(HINSTANCE);
	bool Create();	
	void Update();
	void Kill();
	virtual bool initSubSystem(){return false;};
	virtual void releaseSubSytem(){};
	HDC* getHDC(){return &hDC;};
	HWND* getHWND(){return &hWnd;}
protected:
	static int width,
		height,
		depth;
	char WindowName[64];
	HDC hDC;
	static HWND hWnd;
	static HINSTANCE hInstance;
	bool bFullScreen;
	friend class rOpenGL;
	friend class CCamera;
};
